Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security
Interface Credential

All Known Subinterfaces:
  ExtendedCredential, SAMLToken

All Known Implementing Classes:
  AbstractExtendedCredential, AbstractSAMLToken, BeIDCredential, KeyPairCredential, KeyStoreCredential, SAMLHolderOfKeyToken, SAMLSenderVouchesCredential, SAMLTokenImpl

    public interface Credential

The Interface Credential.

Method Summary
`X509Certificate` | `getCertificate()` Gets the certificate.
`Certificate[]` | `getCertificateChain()` Gets the certificate chain
`String` | `getIssuer()` Gets the issuer.
`String` | `getIssuerQualifier()` Gets the issuer qualifier.
`KeyStore` | `getKeyStore()` Gets the associated `KeyStore`
`PrivateKey` | `getPrivateKey()` Gets the private key.
`String` | `getProviderName()` Gets the keystore provider
`PublicKey` | `getPublicKey()` Gets the public key.

Method Detail

### getIssuer

    String getIssuer()
                     throws TechnicalConnectorException

  Gets the issuer.

  Throws:
    `TechnicalConnectorException`

### getIssuerQualifier

    String getIssuerQualifier()
                              throws TechnicalConnectorException

  Gets the issuer qualifier.

  Throws:
    `TechnicalConnectorException`

### getPublicKey

    PublicKey getPublicKey()
                           throws TechnicalConnectorException

  Gets the public key.

  Throws:
    `TechnicalConnectorException`

### getPrivateKey

    PrivateKey getPrivateKey()
                             throws TechnicalConnectorException

  Gets the private key.

  Throws:
    `TechnicalConnectorException`

### getCertificate

    X509Certificate getCertificate()
                                   throws TechnicalConnectorException

  Gets the certificate.

  Throws:
    `TechnicalConnectorException`

### getProviderName

    String getProviderName()
                           throws TechnicalConnectorException

  Gets the keystore provider

  Throws:
    `TechnicalConnectorException`

### getCertificateChain

    Certificate[] getCertificateChain()
                                      throws TechnicalConnectorException

  Gets the certificate chain

  Throws:
    `TechnicalConnectorException`

### getKeyStore

    KeyStore getKeyStore()
                         throws TechnicalConnectorException

  Gets the associated `KeyStore`

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.